# BankTransfer

## Submit a payout by Bank Transfer in Bolivia.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Bank Transfer in Bolivia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| document\_type<mark style="color:red;">\*</mark>     | String | <p>Beneficiary's identification type.</p><p>- One of: CI, CE or NIT -</p>                                                       |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary's identification number.                                                                                            |
| name<mark style="color:red;">\*</mark>               | String | <p>Beneficiary's name<br>- Length must between 5 and 100 -</p>                                                                  |
| country<mark style="color:red;">\*</mark>            | String | Fix value: BOL, for Bolivia                                                                                                     |
| method<mark style="color:red;">\*</mark>             | String | Fixed value: BANKTRANSFER                                                                                                       |
| account\_type<mark style="color:red;">\*</mark>      | String | <p>Beneficiary's Account Type</p><p>- One of: SAVINGS, CHEKCING -</p>                                                           |
| account<mark style="color:red;">\*</mark>            | String | <p>Beneficiary's Bank Account</p><p>- 7 \~ 14 digits -</p>                                                                      |
| bank\_code<mark style="color:red;">\*</mark>         | String | Bank Code in Bolivia, see [***bank list***](https://docs.pagsmile.com/payout/banklist/bank-in-bolivia)                          |
| additional\_remark<mark style="color:red;">\*</mark> | String | <p>The descriptor on the user's bank bill</p><p>- Max. 40 chars -</p>                                                           |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will send notifications to.                                                                                      |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | Fixed value: BOB                                                                                                                |
| source\_currency<mark style="color:red;">\*</mark>   | String | <p>Merchant Account Currency</p><p>- One of: USD, EUR, GBP -</p>                                                                |
| amount\_type                                         | String | <p>Specify the amount value is fixed for merchant or beneficiary</p><p>- One of: source\_amount, arrival\_amount(default) -</p> |
| amount<mark style="color:red;">\*</mark>             | String | <p>Payout Amount, 2 decimal numbers</p><p>- Min 1, Max 10,000,000 -</p>                                                         |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>Processing fee charges to merchant or beneficiary</p><p>- One of: merchant, beneficiary -</p>                                |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant Payout ID</p><p>- Max. 50 chars -</p>                                                                               |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "1.01",
        "arrival_currency": "BOB",
        "source_amount": "1.01",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```javascript
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
    * "bank_code": "002",
    * "account_type": "CHECKING", // should be one of SAVINGS, CHECKING
    * "account": "2********3",
    * "document_id": "6*****6",
    * "document_type": "CI",  // should be one of CI CE or NIT
    * "source_currency": "USD", 
    * "arrival_currency": "BOB", // fixed value: BOB
    * "fee_bear": "merchant", // should be one of merchant, beneficiary
    * "method": "BANKTRANSFER", // fixed value: BANKTRANSFER
    * "amount": "1.01",
    * "notify_url": "https://notify.url",
    * "custom_code" : "custom_code9982674851738108",
    * "additional_remark": "pagsmile payout test remark",
    * "country": "BOL"  // fixed value: BOL
}
'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is the authorization token associated with the test App ID.
{% endhint %}

## Example of Document

| Document Type | Length | Document Example | Description                         |
| ------------- | ------ | ---------------- | ----------------------------------- |
| CI            | 7      | 7794986          | Cedula de Identidad                 |
| CE            | 8      | BO123456         | Cedula de Identidad de Extranjero   |
| NIT           | 4 - 15 | 419326025        | Número de Identificación Tributaria |

## Example of Account

| Account Type | Account Length | Account Formart |
| ------------ | -------------- | --------------- |
| SAVINGS      | 7-14           | Numberic        |
| CHECKING     | 7-14           | Numberic        |
